markdown-0.1.17.5: Convert Markdown to HTML, with XSS protection

Safe Haskell | None
Language | Haskell2010

Text.Markdown.Inline

# Documentation

data Inline Source #

Constructors

InlineText Text |
InlineItalic [Inline] |
InlineBold [Inline] |
InlineCode Text |
InlineHtml Text |
InlineLink Text (Maybe Text) [Inline] | URL, title, content
InlineImage Text (Maybe Text) Text | URL, title, content
InlineFootnoteRef Integer | The footnote reference in the body
InlineFootnote Integer |

#### Instances

Instances details

Show Inline Source # |
Instance details Defined in Text.Markdown.Types Methods showsPrec :: Int -> Inline -> ShowS Source # show :: Inline -> String Source # showList :: [Inline] -> ShowS Source #
Eq Inline Source # |
Instance details Defined in Text.Markdown.Types Methods (==) :: Inline -> Inline -> Bool Source # (/=) :: Inline -> Inline -> Bool Source #

inlineParser :: RefMap -> Parser [Inline] Source #

toInline :: RefMap -> Text -> [Inline] Source #